import { ShelfEditOrderItemComponent } from '.';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { CreateImageSourceFromEanPipe } from '../../pipes';
import { ShelfEditOrderItemHeaderComponent } from './header';
import { ReactiveFormsModule } from '@angular/forms';
import { CommonModule } from '@angular/common';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';

fdescribe('ShelfEditOrderItemComponent', () => {
  let fixture: ComponentFixture<ShelfEditOrderItemComponent>;
  let component: ShelfEditOrderItemComponent;

  beforeEach(async () => {
    TestBed.configureTestingModule({
      imports: [CommonModule, ReactiveFormsModule],
      declarations: [ShelfEditOrderItemComponent, ShelfEditOrderItemHeaderComponent, CreateImageSourceFromEanPipe],
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ShelfEditOrderItemComponent);
    component = fixture.componentInstance;

    fixture.detectChanges();
  });

  it('should be created', () => {
    expect(component instanceof ShelfEditOrderItemComponent).toBeTruthy();
  });
});
